# Uses of Class
org.osgi.framework.FrameworkEvent

Packages that use FrameworkEvent
Package
Description
org.apache.felix.framework
org.apache.felix.framework.util
org.osgi.framework
Framework Package Version 1.8.
org.osgi.framework.launch
Framework Launch Package Version 1.2.

## Uses of FrameworkEvent in org.apache.felix.framework

Methods in org.apache.felix.framework that return FrameworkEvent
Modifier and Type
Method
Description
`FrameworkEvent`
Felix.`waitForStop(long timeout)`
This method will cause the calling thread to block until the framework shuts down.

## Uses of FrameworkEvent in org.apache.felix.framework.util

Methods in org.apache.felix.framework.util with parameters of type FrameworkEvent
Modifier and Type
Method
Description
`void`
EventDispatcher.`fireFrameworkEvent(FrameworkEvent event)`

## Uses of FrameworkEvent in org.osgi.framework

Methods in org.osgi.framework with parameters of type FrameworkEvent
Modifier and Type
Method
Description
`void`
FrameworkListener.`frameworkEvent(FrameworkEvent event)`
Receives notification of a general `FrameworkEvent` object.

## Uses of FrameworkEvent in org.osgi.framework.launch

Methods in org.osgi.framework.launch that return FrameworkEvent
Modifier and Type
Method
Description
`FrameworkEvent`
Framework.`waitForStop(long timeout)`
Wait until this Framework has completely stopped.